Gtk2::AccelLabel(3)

NAME
Gtk2::AccelLabel

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Misc
                      +----Gtk2::Label
                           +----Gtk2::AccelLabel

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::AccelLabel->new ($string)

•   $string (string)

  widget = $accel_label->get_accel_widget

  $accel_label->set_accel_widget ($accel_widget)

•   $accel_widget (Gtk2::Widget)

  integer = $accel_label->get_accel_width

  boolean = $accel_label->refetch

PROPERTIES

'accel-closure' (GClosure : default undef : readable / writable / private)
    The closure to be monitored for accelerator changes

'accel-widget' (Gtk2::Widget : default undef : readable / writable / private)
    The widget to be monitored for accelerator changes

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Misc, Gtk2::Label

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.